Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class PluginInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.PluginInfo

public final class PluginInfo
extends InfoObject

Provides basic information about a plugin prior to loading. The plugin's capabilities after being loaded are described by the `PluginCapabilitiesInfo` object.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`PluginInfo(java.lang.String pluginName, java.lang.String name, java.lang.String description, java.util.Locale lc, java.lang.String vendor, java.lang.String url, VersionInfo version, VersionInfo pluginFrameworkVersion, PluginDependency[] dependencies, ConfigurationInfo config, HelpSetInfo helpSet)` Create a new PluginInfo.

Method Summary
`ConfigurationInfo` | `getConfigurationInfo()` Return the configuration information for this Plugin.
`PluginDependency[]` | `getDependencyInfo()` Return the list of the plugins on which this plugin depends.
`HelpSetInfo` | `getHelpSetInfo()` Return information about the plugin-provided JavaHelp help set.
`java.util.Locale` | `getLocale()` Return the locale of the display strings contained in this `PluginInfo` object.
`VersionInfo` | `getPluginFrameworkVersion()` Return the version of the plugin framework required.
`java.lang.String` | `getURL()` Return the plugin vendor's URL.
`java.lang.String` | `getVendor()` Return the plugin vendor's name.
`VersionInfo` | `getVersion()` Return the plugin version.

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginInfo

    public PluginInfo(java.lang.String pluginName,
                      java.lang.String name,
                      java.lang.String description,
                      java.util.Locale lc,
                      java.lang.String vendor,
                      java.lang.String url,
                      VersionInfo version,
                      VersionInfo pluginFrameworkVersion,
                      PluginDependency[] dependencies,
                      ConfigurationInfo config,
                      HelpSetInfo helpSet)

  Create a new PluginInfo.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin.
    `name` - The localized name of this plugin.
    `description` - The localized description of this plugin.
    `lc` - The locale in which to localize display strings.
    `vendor` - The plugin vendor's name.
    `url` - The URL for the plugin vendor.
    `version` - The plugin version.
    `pluginFrameworkVersion` - The version of the plugin framework required.
    `dependencies` - A list of the plugins on which this plugin depends.
    `config` - Information to enable the plugin configuration to be viewed and updated.
    `helpSet` - Information about the JavaHelp help set provided by this plugin.

Method Detail

### getLocale

    public java.util.Locale getLocale()

  Return the locale of the display strings contained in this `PluginInfo` object.

  Returns:
    The locale.

### getURL

    public java.lang.String getURL()

  Return the plugin vendor's URL.

  Returns:
    Vendor URL.

### getVendor

    public java.lang.String getVendor()

  Return the plugin vendor's name.

  Returns:
    Vendor name.

### getVersion

    public VersionInfo getVersion()

  Return the plugin version.

  Returns:
    The plugin version.

### getPluginFrameworkVersion

    public VersionInfo getPluginFrameworkVersion()

  Return the version of the plugin framework required.

  Returns:
    Plugin framework version.

### getDependencyInfo

    public PluginDependency[] getDependencyInfo()

  Return the list of the plugins on which this plugin depends.

  Returns:
    Plugin dependencies.

### getConfigurationInfo

    public ConfigurationInfo getConfigurationInfo()

  Return the configuration information for this Plugin.

  Returns:
    Plugin configuration info.

### getHelpSetInfo

    public HelpSetInfo getHelpSetInfo()

  Return information about the plugin-provided JavaHelp help set.

  Returns:
    Plugin help set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)